Create Payment
Create payment for a existing loan.
- Earliest claims will always be paid first.
- Loan payments will be distributed by following order;
DELAYED_INTEREST,INTEREST,PRINCIPAL. - In the case of overpayment, the overpaid amount will go towards the next claim. In case there are no future claims only the owed part is taken from the payment and remainder of overpayment is given back in response.
- Partial payments minimum amount is determined by the loans given currencies minor unit. In the case of
EURit would be0.01.
curl -X POST "https://api.lendermarket.com/claims/v1/lender/createLoanPayment" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"loanUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"paymentAmount": "482",
"currency": "EUR"
}'
import requests
import json
url = "https://api.lendermarket.com/claims/v1/lender/createLoanPayment"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"loanUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"paymentAmount": "482",
"currency": "EUR"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.lendermarket.com/claims/v1/lender/createLoanPayment", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"loanUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"paymentAmount": "482",
"currency": "EUR"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"loanUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"paymentAmount": "482",
"currency": "EUR"
}`)
req, err := http.NewRequest("POST", "https://api.lendermarket.com/claims/v1/lender/createLoanPayment", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.lendermarket.com/claims/v1/lender/createLoanPayment')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"loanUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"paymentAmount": "482",
"currency": "EUR"
}'
response = http.request(request)
puts response.body
{
"data": {
"uuid": "941dfdfc-65ff-43d8-aba8-5a395bdd7433",
"loanUuid": "853dffbc-2997-4f2b-b236-af3f766d3fde",
"principalAmount": "10.00",
"interestAmount": "0.00",
"delayedInterestAmount": "0.00",
"paymentDate": "2026-01-28",
"currency": "EUR"
}
}
{
"message": "The loan uuid field is required. (and 2 more errors)",
"errors": {
"loanUuid": [
"The loan uuid field is required."
],
"paymentAmount": [
"The payment amount field is required."
],
"currency": [
"The currency field is required."
]
}
}
/createLoanPayment
Bearer authentication of the form Bearer <token>, where token is your auth token.
The media type of the request body
Unique UUID of the loan in the LM system
Total amount (Principal, Interest, Delayed Interest) that will be paid
Current validation restricted to EUR
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Bearer authentication of the form Bearer <token>, where token is your auth token.
Body
Unique UUID of the loan in the LM system
Total amount (Principal, Interest, Delayed Interest) that will be paid
Responses
Unique UUID of the payment
Unique UUID of the loan in the LM system
Principal Amount that was paid
Interest Amount that was paid
Delayed Interest Amount that was paid
Payment Date. AThe date the payment was made
Current validation restricted to EUR
EURGeneral error message
List of objects with detailed errors
Last updated 2 weeks ago
Built with Documentation.AI